For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
      • GETRetrieve a contribution report
      • GETList all contribution reports
      • POSTFinalize a contribution report
      • GETRetrieve an employee breakdown
      • GETList all employee breakdowns
    • Events and Webhooks
    • API Errors
Get access
LogoLogo
API ReferenceContribution Reports

Retrieve an employee breakdown

GET
/contribution_reports/:contribution_report_id/employee_breakdowns/:employee_id
GET
/contribution_reports/:contribution_report_id/employee_breakdowns/:employee_id
$curl https://test.api.kota.io/contribution_reports/ctr_3b1333d87d9d4fd6ad83ba7f6b0e951a/employee_breakdowns/ee_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>"
1{
2 "employee_id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "contribution_report_id": "ctr_3b1333d87d9d4fd6ad83ba7f6b0e951a",
4 "employer_id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
5 "period": {
6 "from_date": "2024-12-01",
7 "to_date": "2024-12-01"
8 },
9 "currency": "eur",
10 "status": "open",
11 "created_at": "2024-12-01T00:00:00Z",
12 "last_updated_at": "2024-12-01T00:00:00Z",
13 "health_insurance": {
14 "employer_contributions": [
15 {
16 "id": "ct_3b1333d87d9d4fd6ad83ba7f6b0e951a",
17 "category": "gross_premium",
18 "member_type": "policyholder",
19 "adjustment": true,
20 "amount": 123.45,
21 "type": "recurring",
22 "cover_period": {
23 "from_date": "2024-12-01",
24 "to_date": "2024-12-01"
25 },
26 "policy_id": "p_3b1333d87d9d4fd6ad83ba7f6b0e951a",
27 "reporting_month": "2024-12-01",
28 "employee_policy_id": "eehp_3b1333d87d9d4fd6ad83ba7f6b0e951a",
29 "adjustment_for": "ct_3b1333d87d9d4fd6ad83ba7f6b0e951a"
30 }
31 ],
32 "employee_contributions": [
33 {
34 "id": "ct_3b1333d87d9d4fd6ad83ba7f6b0e951a",
35 "category": "gross_premium",
36 "member_type": "policyholder",
37 "adjustment": true,
38 "amount": 123.45,
39 "type": "recurring",
40 "cover_period": {
41 "from_date": "2024-12-01",
42 "to_date": "2024-12-01"
43 },
44 "policy_id": "p_3b1333d87d9d4fd6ad83ba7f6b0e951a",
45 "reporting_month": "2024-12-01",
46 "employee_policy_id": "eehp_3b1333d87d9d4fd6ad83ba7f6b0e951a",
47 "adjustment_for": "ct_3b1333d87d9d4fd6ad83ba7f6b0e951a"
48 }
49 ]
50 },
51 "object": "string",
52 "finalized_at": "2024-12-01T00:00:00Z"
53}

Returns the employee breakdown for a contribution report.

Previous

Finalize a contribution report

Next

List all employee breakdowns

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

contribution_report_idstringRequiredformat: "ctr_.+"
employee_idstringRequiredformat: "ee_.+"

Response

OK
employee_idstringformat: "ee_.+"
Unique identifier of the employee for which the breakdown is created
contribution_report_idstringformat: "ctr_.+"
Unique identifier of the related contribution report
employer_idstringformat: "er_.+"
Unique identifier of the employer for which the breakdown is created
periodobject
Period covered by the employee breakdown
currencyenum

The currency in which all the amounts in this breakdown are presented (e.g. eur)

statusenum
Current status of the breakdown
Allowed values:
created_atdatetime
Date and time the breakdown was created
last_updated_atdatetime
Date and time of the last update to the breakdown
health_insuranceobject
Health insurance contribution details
objectstringRead-only
The object type
external_customer_idstring or null

Unique identifier of the customer for which the breakdown is created. This identifier is assigned by the Employer of Record (EoR) platform to the Customer (i.e. the company using the EoR service) for which the employee is employed. This parameter is only available to EoR platforms.

finalized_atdatetime or null
Date and time the breakdown was finalized, if applicable

Errors

404
Not Found Error